Bug 1130580 - Win7/IE9 - webadmin not usable
Summary: Win7/IE9 - webadmin not usable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: Petr Kubica
URL:
Whiteboard: ux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-15 15:11 UTC by Einav Cohen
Modified: 2016-01-28 21:56 UTC (History)
14 users (show)

Fixed In Version: vt2.2
Doc Type: Bug Fix
Doc Text:
Cause: Due to a bug in IE9 it would return the header value as blank instead of a null. Consequence: This issue with IE9 would cause a null check to pass and end up in an endless loop. Fix: Check for null or blank if IE9 is detected. Result: IE9 now behaves the same way as all browsers in this situation.
Clone Of: 1114863
Environment:
Last Closed: 2015-02-16 13:35:44 UTC
oVirt Team: ---


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30768 None None None Never
oVirt gerrit 31359 None None None Never

Description Einav Cohen 2014-08-15 15:11:59 UTC
+++ This bug was initially created as a clone of Bug #1114863 +++

1: have a win7/IE9 machine
2: go to webadmin login screen
3: fill name and password
4: IE eats 100% of the CPU for about 10 minutes and than sometimes loads the main screen, sometimes does not
5: every click than behaves the same (100% of CPU eaten for couple of minutes)

expected results:
webadmin should work on IE9

additional info:
- user portal works fine on IE9
- my VM on which I have tested it had one 2.69 GHz CPU and 3GB of memory

Comment 3 Petr Kubica 2014-09-10 16:34:05 UTC
Verified in 
rhevm: 3.5.0-0.10.master.el6ev
IE9: 9.0.8112.16421
W7 SP1


Note You need to log in before you can comment on or make changes to this bug.